Main Page Class Hierarchy Compound List File List Compound Members File Members

# _MAG_SRVR_CHANNEL Struct Reference

`#include <magserverresult.h>`

List of all members.

## Public Attributes
long | ampid
long | channelid
long | componentid
char | sta [10]
char | comp [10]
char | net [10]
char | loc [10]
float | lat
float | lon
float | elev
float | azm
float | dip
float | magnitude
float | amp1
double | amp1time
float | amp1period
float | amp2
double | amp2time
float | amp2period

## Member Data Documentation

float _MAG_SRVR_CHANNEL::amp1

| Definition at line 38 of file magserverresult.h. Referenced by MagServerResult::ParseDerivativeData().

float _MAG_SRVR_CHANNEL::amp1period

| Definition at line 40 of file magserverresult.h. Referenced by MagServerResult::ParseDerivativeData().

double _MAG_SRVR_CHANNEL::amp1time

| Definition at line 39 of file magserverresult.h. Referenced by MagServerResult::ParseDerivativeData().

float _MAG_SRVR_CHANNEL::amp2

| Definition at line 42 of file magserverresult.h. Referenced by MagServerResult::ParseDerivativeData().

float _MAG_SRVR_CHANNEL::amp2period

| Definition at line 44 of file magserverresult.h. Referenced by MagServerResult::ParseDerivativeData().

double _MAG_SRVR_CHANNEL::amp2time

| Definition at line 43 of file magserverresult.h. Referenced by MagServerResult::ParseDerivativeData().

long _MAG_SRVR_CHANNEL::ampid

| Definition at line 23 of file magserverresult.h. Referenced by MagServerResult::ParseDerivativeData().

float _MAG_SRVR_CHANNEL::azm

| Definition at line 33 of file magserverresult.h. Referenced by MagServerResult::ParseDerivativeData().

long _MAG_SRVR_CHANNEL::channelid

| Definition at line 24 of file magserverresult.h. Referenced by MagServerResult::ParseDerivativeData().

char _MAG_SRVR_CHANNEL::comp[10]

| Definition at line 27 of file magserverresult.h. Referenced by MagServerResult::ParseDerivativeData().

long _MAG_SRVR_CHANNEL::componentid

| Definition at line 25 of file magserverresult.h. Referenced by MagServerResult::ParseDerivativeData().

float _MAG_SRVR_CHANNEL::dip

| Definition at line 34 of file magserverresult.h. Referenced by MagServerResult::ParseDerivativeData().

float _MAG_SRVR_CHANNEL::elev

| Definition at line 32 of file magserverresult.h. Referenced by MagServerResult::ParseDerivativeData().

float _MAG_SRVR_CHANNEL::lat

| Definition at line 30 of file magserverresult.h. Referenced by MagServerResult::ParseDerivativeData().

char _MAG_SRVR_CHANNEL::loc[10]

| Definition at line 29 of file magserverresult.h. Referenced by MagServerResult::ParseDerivativeData().

float _MAG_SRVR_CHANNEL::lon

| Definition at line 31 of file magserverresult.h. Referenced by MagServerResult::ParseDerivativeData().

float _MAG_SRVR_CHANNEL::magnitude

| Definition at line 36 of file magserverresult.h. Referenced by MagServerResult::ParseDerivativeData().

char _MAG_SRVR_CHANNEL::net[10]

| Definition at line 28 of file magserverresult.h. Referenced by MagServerResult::ParseDerivativeData().

char _MAG_SRVR_CHANNEL::sta[10]

| Definition at line 26 of file magserverresult.h. Referenced by MagServerResult::ParseDerivativeData().

The documentation for this struct was generated from the following file:

- magserverresult.h